<?php


namespace Rtcl\Helpers;


use Rtcl\Models\Roles;

class Upgrade
{

    static function init() {
        add_action('init', [__CLASS__, 'run_upgrade']);
    }

    public static function run_upgrade() {
        self::upgrade_to_1_3_0();
    }

    public static function remove_shortcode_from_listing_page() { // TODO: remove after 3-4 version later
        if ($listings_page_id = Functions::get_page_id('listings')) {
            $my_post = array(
                'ID'           => $listings_page_id,
                'post_content' => '',
            );
            wp_update_post($my_post);
        }
    }

    public static function upgrade_to_1_3_0() {
        $old_version = get_option('rtcl_pro_version');
        if ($old_version && version_compare($old_version, '1.3.0') < 0) {
            Roles::remove_default_caps();
            Roles::create_roles();
            self::remove_shortcode_from_listing_page();
            update_option('rtcl_queue_flush_rewrite_rules', 'yes');
            self::update_rtcl_version('1.3.0');
        }
    }

    static function update_rtcl_version($version = '') {
        $version = $version ? $version : RTCL_VERSION;
        delete_option('rtcl_version');
        add_option('rtcl_version', $version);
    }
}